## debootstrap 1.0.118ubuntu1

=== debian/changelog ===
debootstrap (1.0.118ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Demote arch-test to suggests.
    - Drop ubuntu-archive-keyring suggests, such a package does not
      exist in Ubuntu.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 23 Feb 2020 12:52:21 -0800

debootstrap (1.0.118) unstable; urgency=medium

  * rename .gitlab-ci.yml to salsa-ci.yml
  * debian/control
    - use debhelper-compat (= 12) and drop debian/compat
    - set Standards-Version 4.5.0
  * debian/tests/debian-testing
    - use AUTOPKGTEST_TMP instead of obsolete ADTTMP
  * fix /dev/ptmx mount on chroot and re-enable autopkgtest
  * fix: don't pass an empty arg to wget when --verbose is applied
    (Closes: #951367)

 -- Hideki Yamane <henrich@debian.org>  Fri, 21 Feb 2020 21:16:39 +0900

debootstrap (1.0.117ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Demote arch-test to suggests.
    - Drop ubuntu-archive-keyring suggests, such a package does not
      exist in Ubuntu.
  * Dropped changes, included in Debian:
    - Add (Ubuntu) focal as a symlink to gutsy.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 13 Feb 2020 22:46:47 -0800

debootstrap (1.0.116ubuntu2) focal; urgency=medium

  * Add (Ubuntu) focal as a symlink to gutsy.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 18 Oct 2019 13:59:25 -0500

=== debian/control ===
Source: debootstrap
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Colin Watson <cjwatson@debian.org>, Steve McIntyre <93sam@debian.org>,
           Hideki Yamane <henrich@debian.org>,
Build-Depends: debhelper-compat (= 12)
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/installer-team/debootstrap
Vcs-Git: https://salsa.debian.org/installer-team/debootstrap.git

Package: debootstrap
Architecture: all
Depends: ${misc:Depends}, wget
Recommends: gnupg, ${keyring},
Suggests: arch-test (>= 0.11~),
          squid-deb-proxy-client,
Description: Bootstrap a basic Debian system
 debootstrap is used to create a Debian base system from scratch,
 without requiring the availability of dpkg or apt. It does this by
 downloading .deb files from a mirror site, and carefully unpacking them
 into a directory which can eventually be chrooted into.

Package: debootstrap-udeb
Section: debian-installer
Package-Type: udeb
Architecture: all
Depends: ${misc:Depends}, mounted-partitions
Description: Bootstrap the Debian system

=== debian/rules ===
#! /usr/bin/make -f

ifeq (0,$(shell dpkg-vendor --derives-from Ubuntu; echo $$?))
  KEYRING := ubuntu-keyring
else ifeq (0,$(shell dpkg-vendor --derives-from Tanglu; echo $$?))
  KEYRING := tanglu-archive-keyring
else ifeq (0,$(shell dpkg-vendor --derives-from Kali; echo $$?))
  KEYRING := kali-archive-keyring
else
  KEYRING := debian-archive-keyring
endif

%:
	dh $@

# need to be root to make devices, so build is done in install target
override_dh_auto_build:

override_dh_auto_install:
	dh_auto_build
	
	$(MAKE) install DESTDIR=$(CURDIR)/debian/debootstrap
	$(MAKE) install DESTDIR=$(CURDIR)/debian/debootstrap-udeb

override_dh_gencontrol:
	dh_gencontrol -- -Vkeyring=$(KEYRING)

# Specify gzip to mitigate #770217:
override_dh_builddeb:
	dh_builddeb -pdebootstrap      -- -Zgzip
	dh_builddeb -pdebootstrap-udeb -- -Zxz

## debootstrap 1.0.118ubuntu1.4

=== debian/changelog ===
debootstrap (1.0.118ubuntu1.4) focal; urgency=medium

  * Add (Ubuntu) impish as a symlink to gutsy (LP: #1925753). 

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Fri, 23 Apr 2021 09:38:29 +0200

debootstrap (1.0.118ubuntu1.3) focal; urgency=medium

  * Add (Ubuntu) hirsute as a symlink to gutsy (LP: #1901237).

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Fri, 23 Oct 2020 20:02:10 +0200

debootstrap (1.0.118ubuntu1.2) focal; urgency=medium

  * scripts/gutsy, scripts/debian-common: Check codename for
    apt-transport-https as it's in universe as of bionic and
    is no longer needed as functionality is built into apt
    (LP: #1772556)

 -- Matthew Ruffell <matthew.ruffell@canonical.com>  Wed, 22 Jul 2020 12:38:26 +1200

debootstrap (1.0.118ubuntu1.1) focal; urgency=medium

  * Add (Ubuntu) groovy as a symlink to gutsy.  (LP: #1874867)

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Fri, 24 Apr 2020 19:49:56 +0200

## debootstrap 1.0.118ubuntu1.6

=== debian/changelog ===
debootstrap (1.0.118ubuntu1.6) focal; urgency=medium

  [ YunQiang Su ]
  * stage1: re-mkdir /proc instead of umount if it is a symlink (LP: #1948713)

 -- Daniel Watkins <oddbloke@ubuntu.com>  Mon, 25 Oct 2021 14:47:59 -0400

debootstrap (1.0.118ubuntu1.5) focal; urgency=medium

  * Add (Ubuntu) jammy as a symlink to gutsy (LP: #1947362).

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Fri, 15 Oct 2021 14:26:09 +0200

## debootstrap 1.0.118ubuntu1.11

=== debian/changelog ===
debootstrap (1.0.118ubuntu1.11) focal; urgency=medium

  * Restore the old symlinks removed in the previous SRU.  While not
    needed by debootstrap itself, other tools may call debootstrap with
    the optional 'script' argument (which was always unnecessary when
    its value was the same as the 'suite' argument), and this change
    broke compatibility with them.  LP: #2024483.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 24 Jun 2023 00:14:37 -0700

debootstrap (1.0.118ubuntu1.10) focal; urgency=medium

  * Add Breaks: on ubuntu-dev-tools (<< 0.190~) to ensure compatibility with
    mk-sbuild.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 30 May 2023 21:28:30 -0700

debootstrap (1.0.118ubuntu1.9) focal; urgency=medium

  * Update debootstrap to automatically use the gutsy script by default
    if the target is an Ubuntu release known to distro-info, eliminating
    the need to upload debootstrap for each new Ubuntu release.
  * Add dependency on distro-info, which is part of ubuntu-minimal, for the
    above
  * Remove all the old symlinks that are no longer needed.
  * LP: #2020530.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 26 May 2023 22:24:40 +0000

debootstrap (1.0.118ubuntu1.8) focal; urgency=medium

  * Add (Ubuntu) lunar as a symlink to gutsy (LP: #1995612).

 -- Nick Rosbrook <nick.rosbrook@canonical.com>  Thu, 03 Nov 2022 10:30:25 -0400

debootstrap (1.0.118ubuntu1.7) focal; urgency=medium

  * Add (Ubuntu) kinetic as a symlink to gutsy (LP: #1970454).

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 26 Apr 2022 17:07:06 +0000

=== debian/control ===
--- 
+++ 
@@ -12,10 +12,11 @@
 
 Package: debootstrap
 Architecture: all
-Depends: ${misc:Depends}, wget
+Depends: ${misc:Depends}, wget, distro-info
 Recommends: gnupg, ${keyring},
 Suggests: arch-test (>= 0.11~),
           squid-deb-proxy-client,
+Breaks: ubuntu-dev-tools (<< 0.190~)
 Description: Bootstrap a basic Debian system
  debootstrap is used to create a Debian base system from scratch,
  without requiring the availability of dpkg or apt. It does this by

## debootstrap 1.0.118ubuntu1.11+10.0trisquel7

=== debian/changelog ===
debootstrap (1.0.118ubuntu1.11+10.0trisquel7) nabia; urgency=medium

  * Only include trisquel origins

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 12 Sep 2024 05:48:25 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: debootstrap
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Colin Watson <cjwatson@debian.org>, Steve McIntyre <93sam@debian.org>,
            Hideki Yamane <henrich@debian.org>,

## debootstrap 1.0.118ubuntu1.12

=== debian/changelog ===
debootstrap (1.0.118ubuntu1.12) focal; urgency=medium

  * Support Packages files which are not ordered alphabetically by Package
    field, by backporting upstream commit
    86ca8bcc736ceba53ad4a7d9b10b4c2ab65d739d (LP: #1990856)

 -- Daniel Watkins <oddbloke@ubuntu.com>  Wed, 12 Jul 2023 11:30:08 -0400

## debootstrap 1.0.118ubuntu1.13

=== debian/changelog ===
debootstrap (1.0.118ubuntu1.13) focal; urgency=medium

  * Disable usrmerge code on noble+ as they ship symlinks in base-files,
    and the code is incompatible (and no longer needed) (LP: #2054925)

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 26 Feb 2024 10:41:03 +0100

=== debian/tests/control ===
Tests: debian-testing
Depends:
 debootstrap,
 libdistro-info-perl,
 libdpkg-perl,
 libipc-run-perl,
 perl,
 systemd [linux-any],
 systemd-container [linux-any],
 ca-certificates,
Restrictions: allow-stderr, needs-root

Tests: unsorted-packages-files
Depends:
 debootstrap,
 python3-debian,
 python3-flask,
 python3-requests,
Restrictions: allow-stderr, needs-root

## debootstrap 1.0.119~bpo10+1

=== debian/changelog ===
debootstrap (1.0.119~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Luca Falavigna <dktrkranz@debian.org>  Mon, 02 Mar 2020 07:47:58 +0100

debootstrap (1.0.119) unstable; urgency=medium

  [ Hideki Yamane ]
  * Fix: specify --foreign and --unpack-tarball at the same time
    Thanks to Cel Skeggs <cela@mit.edu> for the patch (Closes: #946783)
  * Add check rule for systemd-nspawn

  [ Jeremiah C. Foster ]
  * Adding PureOS 'amber' to scripts dir (Closes: #946476)

 -- Hideki Yamane <henrich@debian.org>  Thu, 27 Feb 2020 21:16:24 +0900

## debootstrap 1.0.119~bpo10+1devuan1

=== debian/changelog ===
debootstrap (1.0.119~bpo10+1devuan1) beowulf; urgency=medium

  * Release for buster-backports.
  * Merge debian 1.0.119.
  * Restore autopkgtests.
  * d/control:
     - add Origin: Devuan.
     - fixup mismerge cruft.

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 16 Feb 2022 16:03:42 +0000

debootstrap (1.0.115~bpo10+1+devuan1) beowulf-backports; urgency=medium

  * Merge 1.0.115.
  * Update upstream-tag and set debian-tag in d/gbp.conf.
  * Backport to beowulf.

 -- Mark Hindley <mark@hindley.org.uk>  Mon, 30 Dec 2019 12:25:40 +0000

=== debian/control ===
Source: debootstrap
Section: admin
Priority: optional
Maintainer: Devuan-Dev Team <devuan-dev@lists.dyne.org>
Uploaders: Daniel Reurich <daniel@centurion.net.nz>,
    Mark (LeePen) Hindley <mark@hindley.org.uk>,
    Jaromil <jaromil@dyne.org>,
    Ivan J. <parazyd@dyne.org>,
    Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>
Build-Depends: debhelper-compat (= 12)
Standards-Version: 4.5.0
Vcs-Browser: https://git.devuan.org/devuan-packages/debootstrap
Vcs-Git: https://git.devuan.org/devuan-packages/debootstrap.git
Origin: Devuan

Package: debootstrap
Architecture: all
Depends: ${misc:Depends}, wget
Recommends: gnupg, ${keyring}, arch-test (>= 0.11~),
Suggests: squid-deb-proxy-client, debian-archive-keyring, ubuntu-archive-keyring
Description: Bootstrap a basic Devuan system
 debootstrap is used to create a Devuan base system from scratch,
 without requiring the availability of dpkg or apt. It does this by
 downloading .deb files from a mirror site, and carefully unpacking them
 into a directory which can eventually be chrooted into.


Package: debootstrap-udeb
Section: debian-installer
Package-Type: udeb
Architecture: all
Depends: ${misc:Depends}, mounted-partitions
Description: Bootstrap the Devuan system

## debootstrap 1.0.123

=== debian/changelog ===
debootstrap (1.0.123) unstable; urgency=medium

  * Reinstate safeguard removed in 1.0.121, which is absolutely needed
    to avoid unmounting target entirely, as seen when running in d-i
    with default parameters (Closes: #953849). Vielen Dank, Johannes!

 -- Cyril Brulebois <kibi@debian.org>  Sat, 14 Mar 2020 02:07:20 +0100

debootstrap (1.0.122) unstable; urgency=medium

  * Revert the addition of (mandatory) security support as debootstrap's
    goal is to provide with a basic Debian system that many provisioning
    systems are built upon. Changing behaviour now seems to be doing a
    disservice to all those tools that would need adapting. In addition to
    not seeming to be a good idea, that triggers regressions for a number
    of use cases (Closes: #953759, #953588, #953593, #953594, #953617).

 -- Cyril Brulebois <kibi@debian.org>  Fri, 13 Mar 2020 05:43:24 +0100

debootstrap (1.0.121) unstable; urgency=medium

  * Fix "debootstrapping testing and stable results in exit 100",
    use CODENAME for check properly (Closes: #953404)

 -- Hideki Yamane <henrich@debian.org>  Tue, 10 Mar 2020 21:42:03 +0900

debootstrap (1.0.120) unstable; urgency=medium

  * Check codename for apt-transport-https (Closes: #920255, #879755)
  * Add security mirror setting (Closes: #939852, #543819)

 -- Hideki Yamane <henrich@debian.org>  Sun, 08 Mar 2020 02:01:59 +0900

## debootstrap 1.0.123ubuntu1

=== debian/changelog ===
debootstrap (1.0.123ubuntu1) groovy; urgency=medium

  * Merge with Debian; remaining changes:
    - Demote arch-test to suggests.
    - Drop ubuntu-archive-keyring suggests, such a package does not
      exist in Ubuntu.
  * Add (Ubuntu) groovy as a symlink to gutsy.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 24 Apr 2020 19:13:33 +0200

## debootstrap 1.0.123ubuntu1.2

=== debian/changelog ===
debootstrap (1.0.123ubuntu1.2) groovy; urgency=medium

  * Add (Ubuntu) impish as a symlink to gutsy (LP: #1925753). 

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Fri, 23 Apr 2021 09:36:39 +0200

debootstrap (1.0.123ubuntu1.1) groovy; urgency=medium
 
  * Add (Ubuntu) hirsute as a symlink to gutsy (LP: #1901237).

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Fri, 23 Oct 2020 19:57:31 +0200

## debootstrap 1.0.123ubuntu5

=== debian/changelog ===
debootstrap (1.0.123ubuntu5) hirsute; urgency=medium

  * Do not install usrmerge in fresh debootstraps, but do print it for
    germinate. This reduces minimal container images by 47.3MB, which is a
    regression compared to groovy.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 30 Mar 2021 14:22:59 +0100

debootstrap (1.0.123ubuntu4) hirsute; urgency=medium

  * No-change rebuild to drop the udeb package.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Feb 2021 10:30:44 +0100

debootstrap (1.0.123ubuntu3) hirsute; urgency=medium

  * Add usrmerge to non-buildd variants, to trigger making usrmerge
    essential for upgrades. Thus systems installed predisco are upgraded
    to merged-usr. Buildd variant will becomed merged-usr with the next
    release. LP: #1906671

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sun, 14 Feb 2021 19:04:05 +0000

debootstrap (1.0.123ubuntu2) hirsute; urgency=medium

  * Add (Ubuntu) hirsute as a symlink to gutsy.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Fri, 23 Oct 2020 19:42:16 +0200

## debootstrap 1.0.123ubuntu6

=== debian/changelog ===
debootstrap (1.0.123ubuntu6) hirsute; urgency=medium

  * Add (Ubuntu) impish as a symlink to gutsy (LP: #1925753). 

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Fri, 23 Apr 2021 09:32:06 +0200

## debootstrap 1.0.123ubuntu6.2

=== debian/changelog ===
debootstrap (1.0.123ubuntu6.2) hirsute; urgency=medium

  [ YunQiang Su ]
  * stage1: re-mkdir /proc instead of umount if it is a symlink (LP: #1948713)

 -- Brian Murray <brian@ubuntu.com>  Fri, 19 Nov 2021 10:54:07 -0800

debootstrap (1.0.123ubuntu6.1) hirsute; urgency=medium

  * Add (Ubuntu) jammy as a symlink to gutsy (LP: #1947362).

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Fri, 15 Oct 2021 14:14:03 +0200

## debootstrap 1.0.123+deb11u1

=== debian/changelog ===
debootstrap (1.0.123+deb11u1) bullseye; urgency=medium

  * Non-maintainer upload.
  * setup_merged_usr: create skip flag when merged-usr is disabled on
    bookworm+
  * Add usr-is-merged to the required set on testing/unstable

 -- Luca Boccassi <bluca@debian.org>  Thu, 28 Jul 2022 12:04:03 +0100

## debootstrap 1.0.123+deb11u2

=== debian/changelog ===
debootstrap (1.0.123+deb11u2) bullseye; urgency=medium

  * Non-maintainer upload targeting Debian 11, with maintainer approval
    from Luca Boccassi.

  [ Samuel Thibault ]
  * Enable usrmerge on hurd-i386 too

  [ Ansgar, Tianon Gravi ]
  * debian-common: exclude usrmerge and its dependencies when installing
    usr-is-merged. These are not needed on systems where /usr is already
    merged, and avoiding them saves around 50M in a minbase installation.
    (Closes: #1025657)

  [ Hideki Yamane ]
  * Add support for bootstrapping trixie

  [ Simon McVittie, Luca Boccassi ]
  * Backport merged-/usr support changes from trixie:
    - Implement merged-/usr by post-merging.
      This changes the bootstrap order so that it will be possible for a
      future version of base-files in trixie/sid to take responsibility for
      creating the /bin, /sbin, /lib* symlinks, and is a prerequisite for
      lifting the moratorium imposed by #1035831.
      (Closes: #1049898; implementation by Helmut Grohne)
    - functions: Reinstate setup_merged_usr() as it existed before
      fixing #1049898, for backwards-compatibility with older versions of
      mmdebstrap.
    - functions: Default to merged-/usr for suites newer than bookworm,
      even for the buildd profile. This allows packages targeting trixie
      to assume that merged-/usr is the only layout possible, and is a
      prerequisite for lifting the moratorium imposed by #1035831.
    - Mention --merged-usr in --help output. (Closes: #1031828)
  * Backport autopkgtest regression fixes from trixie:
    - Revert fake/schroot-1.6.10-3 to an accurate emulation of the
      behaviour of schroot 1.6.10-3 (Closes: #983311)
    - Document schroot 1.6.10-3 with the default profile as expected to
      fail to use /dev/pts in a lxc >= 3 or Docker container; this is a
      schroot bug (#983423) and not a debootstrap bug
    - With these changes, the autopkgtest is confirmed to pass in
      autopkgtest-virt-qemu (Closes: #983197)

 -- Simon McVittie <smcv@debian.org>  Wed, 30 Aug 2023 22:34:37 +0100

## debootstrap 1.0.123+deb11u2A~5.1.0.202402131012

=== debian/changelog ===
debootstrap (1.0.123+deb11u2A~5.1.0.202402131012) ucs5-1-0-0; urgency=low

  * UCS auto build. The following patches have been applied to the original source package
    0001-univention-archive-key.patch
    0002-Bug-51272-Rework-SCRIPT-detection.patch
    0003-disable-usr-is-merged.patch

 -- Univention builddaemon <buildd@univention.de>  Tue, 13 Feb 2024 10:52:25 +0100

## debootstrap 1.0.123+deb11u3

=== debian/changelog ===
debootstrap (1.0.123+deb11u3) bullseye-security; urgency=medium

  * Do not pull in usr-is-merged in trixie/sid (Closes: #1091649)

 -- Luca Boccassi <bluca@debian.org>  Sun, 29 Dec 2024 19:29:59 +0000

=== debian/control ===
Source: debootstrap
Section: admin
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Colin Watson <cjwatson@debian.org>, Steve McIntyre <93sam@debian.org>,
           Hideki Yamane <henrich@debian.org>,
Build-Depends: debhelper-compat (= 12)
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/installer-team/debootstrap
Vcs-Git: https://salsa.debian.org/installer-team/debootstrap.git

Package: debootstrap
Architecture: all
Depends: ${misc:Depends}, wget
Recommends: gnupg, ${keyring}, arch-test (>= 0.11~),
Suggests: ubuntu-archive-keyring,
          squid-deb-proxy-client,
Description: Bootstrap a basic Debian system
 debootstrap is used to create a Debian base system from scratch,
 without requiring the availability of dpkg or apt. It does this by
 downloading .deb files from a mirror site, and carefully unpacking them
 into a directory which can eventually be chrooted into.

Package: debootstrap-udeb
Section: debian-installer
Package-Type: udeb
Architecture: all
Depends: ${misc:Depends}, mounted-partitions
Description: Bootstrap the Debian system

=== debian/tests/control ===
Tests: debian-testing
Depends:
 debootstrap,
 libdistro-info-perl,
 libdpkg-perl,
 libipc-run-perl,
 perl,
 systemd [linux-any],
 systemd-container [linux-any],
 ca-certificates,
Restrictions: allow-stderr, needs-root

## debootstrap 1.0.123+devuan5

=== debian/changelog ===
debootstrap (1.0.123+devuan5) chimaera-proposed-updates; urgency=medium

  * Add scripts/excalibur.

 -- Mark Hindley <mark@hindley.org.uk>  Sun, 11 Jun 2023 10:42:15 +0100

debootstrap (1.0.123+devuan4) unstable; urgency=medium

  [ Ralph Ronnquist ]
  * Add daedalus support.

 -- Mark Hindley <mark@hindley.org.uk>  Sun, 17 Oct 2021 07:41:31 +0100

debootstrap (1.0.123+devuan3) unstable; urgency=medium

  * Fix fakechroot variant.
  * d/control: update Vcs-* following gitea migration.

 -- Mark Hindley <mark@hindley.org.uk>  Fri, 11 Dec 2020 11:11:57 +0000

debootstrap (1.0.123+devuan2) unstable; urgency=medium

  * Fix autopkgtest without systemd (Closes: #471).

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 27 May 2020 17:22:31 +0100

debootstrap (1.0.123+devuan1) unstable; urgency=medium

  * Merge new Debian version 1.0.123.
  * Add scipts/chimaera symlink to scripts/ceres.
  * d/control: fixup extraneous fields in Source stanza.
  * d/control: add Origin: Devuan.

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 08 Apr 2020 15:58:38 +0100

debootstrap (1.0.116+devuan1) unstable; urgency=medium

  * Merge 1.0.116.

 -- Mark Hindley <mark@hindley.org.uk>  Fri, 17 Jan 2020 13:57:38 +0000

debootstrap (1.0.115+devuan1) unstable; urgency=medium

  * Merge 1.0.115.
  * Update upstream-tag and set debian-tag in d/gbp.conf.

 -- Mark Hindley <mark@hindley.org.uk>  Mon, 30 Dec 2019 12:25:40 +0000

=== debian/control ===
Source: debootstrap
Section: admin
Priority: optional
Maintainer: Devuan-Dev Team <devuan-dev@lists.dyne.org>
Uploaders: Daniel Reurich <daniel@centurion.net.nz>,
    Mark (LeePen) Hindley <mark@hindley.org.uk>,
    Jaromil <jaromil@dyne.org>,
    Ivan J. <parazyd@dyne.org>,
    Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>
Build-Depends: debhelper-compat (= 12)
Standards-Version: 4.5.0
Vcs-Browser: https://git.devuan.org/devuan/debootstrap
Vcs-Git: https://git.devuan.org/devuan/debootstrap.git
Origin: Devuan

Package: debootstrap
Architecture: all
Depends: ${misc:Depends}, wget
Recommends: gnupg, ${keyring}, arch-test (>= 0.11~),
Suggests: squid-deb-proxy-client, debian-archive-keyring, ubuntu-archive-keyring
Description: Bootstrap a basic Devuan system
 debootstrap is used to create a Devuan base system from scratch,
 without requiring the availability of dpkg or apt. It does this by
 downloading .deb files from a mirror site, and carefully unpacking them
 into a directory which can eventually be chrooted into.


Package: debootstrap-udeb
Section: debian-installer
Package-Type: udeb
Architecture: all
Depends: ${misc:Depends}, mounted-partitions
Description: Bootstrap the Devuan system

## debootstrap 1.0.124

=== debian/changelog ===
debootstrap (1.0.124) experimental; urgency=medium

  [ Colin Watson ]
  * Add (Ubuntu) groovy as a symlink to gutsy.

  [ Samuel Thibault ]
  * functions: Turn for loops variables into locals, suggested by jhcha54008.

  [ YunQiang Su ]
  * stage1: re-mkdir /proc if it is a symlink instead of umount. (Closes: #968927)

  [ Luca Falavigna ]
  * Add (Ubuntu) hirsute as a symlink to gutsy.

  [ Tobias Koch ]
  * Add --inrelease-path option to allow specifying by-hash InRelease
    location.

  [ Dimitri John Ledkov ]
  * functions: add zstd control&data support to the ar extractor LP: #1923845
  * Add (Ubuntu) impish as a symlink to gutsy.
  * gutsy: sync changes from Ubuntu, to ensure that impish+ are always
    merged-usr.
  * gutsy: use --extractor=ar if dpkg-deb has no zstd support (i.e. on
    Debian & non-Ubuntu derivatives).
  * rules,control: adjust Recommends/Suggests to be appropriate on each
    distro.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 26 Apr 2021 15:02:44 +0100

## debootstrap 1.0.124ubuntu0.1

=== debian/changelog ===
debootstrap (1.0.124ubuntu0.1) impish; urgency=medium

  * Add (Ubuntu) jammy as a symlink to gutsy (LP: #1947362).

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Fri, 15 Oct 2021 14:07:41 +0200

## debootstrap 1.0.124ubuntu0.2

=== debian/changelog ===
debootstrap (1.0.124ubuntu0.2) impish; urgency=medium

  * Add (Ubuntu) kinetic as a symlink to gutsy (LP: #1970454).

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 26 Apr 2022 17:02:30 +0000

=== debian/control ===
Source: debootstrap
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Colin Watson <cjwatson@debian.org>, Steve McIntyre <93sam@debian.org>,
           Hideki Yamane <henrich@debian.org>,
Build-Depends: debhelper-compat (= 12)
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/installer-team/debootstrap
Vcs-Git: https://salsa.debian.org/installer-team/debootstrap.git

Package: debootstrap
Architecture: all
Depends: ${misc:Depends}, wget
Recommends: gnupg, ${debootstrap:Recommends}
Suggests: squid-deb-proxy-client, ${debootstrap:Suggests}
Description: Bootstrap a basic Debian system
 debootstrap is used to create a Debian base system from scratch,
 without requiring the availability of dpkg or apt. It does this by
 downloading .deb files from a mirror site, and carefully unpacking them
 into a directory which can eventually be chrooted into.

Package: debootstrap-udeb
Section: debian-installer
Package-Type: udeb
Architecture: all
Depends: ${misc:Depends}, mounted-partitions
Description: Bootstrap the Debian system

## debootstrap 1.0.126%2Bnmu1ubuntu0.8

=== debian/rules ===
--- 
+++ 
@@ -1,13 +1,17 @@
 #! /usr/bin/make -f
 
 ifeq (0,$(shell dpkg-vendor --derives-from Ubuntu; echo $$?))
-  KEYRING := ubuntu-keyring
+  RECOMMENDS := ubuntu-keyring
+  SUGGESTS   := debian-archive-keyring, arch-test (>= 0.11~),
 else ifeq (0,$(shell dpkg-vendor --derives-from Tanglu; echo $$?))
-  KEYRING := tanglu-archive-keyring
+  RECOMMENDS := tanglu-archive-keyring, arch-test (>= 0.11~),
+  SUGGESTS   := debian-archive-keyring, ubuntu-archive-keyring, binutils, xz-utils, zstd
 else ifeq (0,$(shell dpkg-vendor --derives-from Kali; echo $$?))
-  KEYRING := kali-archive-keyring
+  RECOMMENDS := kali-archive-keyring, arch-test (>= 0.11~),
+  SUGGESTS   := debian-archive-keyring, ubuntu-archive-keyring, binutils, xz-utils, zstd
 else
-  KEYRING := debian-archive-keyring
+  RECOMMENDS := debian-archive-keyring, arch-test (>= 0.11~),
+  SUGGESTS   := ubuntu-archive-keyring, binutils, xz-utils, zstd
 endif
 
 %:
@@ -23,7 +27,7 @@
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/debootstrap-udeb
 
 override_dh_gencontrol:
-	dh_gencontrol -- -Vkeyring=$(KEYRING)
+	dh_gencontrol -- -Vdebootstrap:Recommends='$(RECOMMENDS)' -Vdebootstrap:Suggests='$(SUGGESTS)'
 
 # Specify gzip to mitigate #770217:
 override_dh_builddeb:

## debootstrap 1.0.126+nmu1~bpo11+1

=== debian/changelog ===
debootstrap (1.0.126+nmu1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Luca Falavigna <dktrkranz@debian.org>  Fri, 29 Apr 2022 13:37:54 +0200

debootstrap (1.0.126+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Undo the changes of the last upload. (Closes: #998867)

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Sun, 28 Nov 2021 12:38:15 +0100

debootstrap (1.0.126) unstable; urgency=low

  * Ensure bookworm+ suites are set up with merged-usr. (Closes: #978636)

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Mon, 08 Nov 2021 14:40:06 +0000

debootstrap (1.0.125) unstable; urgency=medium

  [ Samuel Thibault ]
  * functions (download_main): Let the loops try the different components and
    suites when the checksum doesn't match. This is needed when several of
    them contain the same package name.

  [ Arnaud Rebillout ]
  * Fix auto proxy discovery (Closes: #985811)
  * Fix detection of docker container for cgroup v2 (Closes: #985481)

  [ Johannes 'josch' Schauer ]
  * functions: define link_dir before using it.

  [ Hideki Yamane ]
  * Add (Debian) trixie as a symlink to sid.

  [ Dimitri John Ledkov ]
  * Add (Ubuntu) jammy as a symlink to gutsy.
  * Upload to unstable.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Tue, 02 Nov 2021 11:35:00 +0000

## debootstrap 1.0.126+nmu1

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: debootstrap
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Colin Watson <cjwatson@debian.org>, Steve McIntyre <93sam@debian.org>,
            Hideki Yamane <henrich@debian.org>,
 Build-Depends: debhelper-compat (= 12)

## debootstrap 1.0.126+nmu1ubuntu0.2

=== debian/changelog ===
debootstrap (1.0.126+nmu1ubuntu0.2) jammy; urgency=medium

  * Add (Ubuntu) lunar as a symlink to gutsy (LP: #1995612).

 -- Nick Rosbrook <nick.rosbrook@canonical.com>  Thu, 03 Nov 2022 10:28:51 -0400

debootstrap (1.0.126+nmu1ubuntu0.1) jammy; urgency=medium

  * Add (Ubuntu) kinetic as a symlink to gutsy (LP: #1970454).

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 26 Apr 2022 16:56:23 +0000

## debootstrap 1.0.126+nmu1ubuntu0.2+11.0trisquel6

=== debian/changelog ===
debootstrap (1.0.126+nmu1ubuntu0.2+11.0trisquel6) aramo; urgency=medium

  * Only include trisquel origins

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 11 Nov 2022 14:35:18 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: debootstrap
 Section: admin
 Priority: optional
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Colin Watson <cjwatson@debian.org>, Steve McIntyre <93sam@debian.org>,
            Hideki Yamane <henrich@debian.org>,
 Build-Depends: debhelper-compat (= 12)

## debootstrap 1.0.126+nmu1ubuntu0.5

=== debian/changelog ===
debootstrap (1.0.126+nmu1ubuntu0.5) jammy; urgency=medium

  * Restore the old symlinks removed in the previous SRU.  While not
    needed by debootstrap itself, other tools may call debootstrap with
    the optional 'script' argument (which was always unnecessary when
    its value was the same as the 'suite' argument), and this change
    broke compatibility with them.  LP: #2024483.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 24 Jun 2023 00:12:13 -0700

debootstrap (1.0.126+nmu1ubuntu0.4) jammy; urgency=medium

  * Add Breaks: on ubuntu-dev-tools (<< 0.190~) to ensure compatibility
    with mk-sbuild.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 30 May 2023 21:29:24 -0700

debootstrap (1.0.126+nmu1ubuntu0.3) jammy; urgency=medium

  * Update debootstrap to automatically use the gutsy script by default
    if the target is an Ubuntu release known to distro-info, eliminating
    the need to upload debootstrap for each new Ubuntu release.
  * Add dependency on distro-info, which is part of ubuntu-minimal, for the
    above
  * Remove all the old symlinks that are no longer needed.
  * LP: #2020530.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 26 May 2023 22:22:49 +0000

## debootstrap 1.0.126+nmu1ubuntu0.6

=== debian/changelog ===
debootstrap (1.0.126+nmu1ubuntu0.6) jammy; urgency=medium

  * Support Packages files which are not ordered alphabetically by Package
    field, by backporting upstream commit
    86ca8bcc736ceba53ad4a7d9b10b4c2ab65d739d (LP: #1990856)

 -- Daniel Watkins <daniel@daniel-watkins.co.uk>  Wed, 12 Jul 2023 12:16:29 -0400

## debootstrap 1.0.126+nmu1ubuntu0.7

=== debian/changelog ===
debootstrap (1.0.126+nmu1ubuntu0.7) jammy; urgency=medium

  * Disable usrmerge code on noble+ as they ship symlinks in base-files,
    and the code is incompatible (and no longer needed) (LP: #2054925)

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 26 Feb 2024 10:41:03 +0100

## debootstrap 1.0.126+nmu1ubuntu0.8

=== Makefile ===
# avoid dpkg-dev dependency; fish out the version with sed
VERSION := $(shell sed 's/.*(\(.*\)).*/\1/; q' debian/changelog)

all:

clean:

DSDIR=$(DESTDIR)/usr/share/debootstrap
install:
	mkdir -p $(DSDIR)/scripts
	mkdir -p $(DESTDIR)/usr/sbin

	cp -a scripts/* $(DSDIR)/scripts/
	install -o root -g root -m 0644 functions $(DSDIR)/

	sed 's/@VERSION@/$(VERSION)/g' debootstrap >$(DESTDIR)/usr/sbin/debootstrap
	chown root:root $(DESTDIR)/usr/sbin/debootstrap
	chmod 0755 $(DESTDIR)/usr/sbin/debootstrap

=== debian/changelog ===
debootstrap (1.0.126+nmu1ubuntu0.8) jammy; urgency=medium

  * Disable usrmerge code on trixie/forky/testing/unstable as they ship
    symlinks in base-files, and the code is incompatible (and no longer
    needed) (LP: #2071862)

 -- Luca Boccassi <bluca@debian.org>  Thu, 04 Jul 2024 00:05:25 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: debootstrap
 Section: admin
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Colin Watson <cjwatson@debian.org>, Steve McIntyre <93sam@debian.org>,
            Hideki Yamane <henrich@debian.org>,
@@ -12,9 +12,10 @@
 
 Package: debootstrap
 Architecture: all
-Depends: ${misc:Depends}, wget
+Depends: ${misc:Depends}, wget, distro-info
 Recommends: gnupg, ${debootstrap:Recommends}
 Suggests: squid-deb-proxy-client, ${debootstrap:Suggests}
+Breaks: ubuntu-dev-tools (<< 0.190~)
 Description: Bootstrap a basic Debian system
  debootstrap is used to create a Debian base system from scratch,
  without requiring the availability of dpkg or apt. It does this by

## debootstrap 1.0.127~bpo11+1

=== debian/changelog ===
debootstrap (1.0.127~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Luca Boccassi <bluca@debian.org>  Wed, 27 Jul 2022 16:27:34 +0100

debootstrap (1.0.127) unstable; urgency=medium

  [ Heysion Yuan ]
  * add usrmerge support loongarch64.

  [ Paul Menzel ]
  * Avoid duplicate components in `sources.list`.

  [ Edward Tomasz Napierala ]
  * Mount /dev/fd if the host is FreeBSD.

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Update renamed lintian tag names in lintian overrides.

  [ Luca Falavigna ]
  * Add (Ubuntu) kinetic as a symlink to gutsy.
  * Update standards version to 4.6.0.1, no changes needed.

  [ Luca Boccassi ]
  * setup_merged_usr: create skip flag when merged-usr is disabled on bookworm+
  * Add usr-is-merged to the required set on testing/unstable

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Mon, 25 Jul 2022 13:25:39 +0100

## debootstrap 1.0.127ubuntu1

=== debian/changelog ===
debootstrap (1.0.127ubuntu1) kinetic; urgency=medium

  * Fix EXTRACTOR_OVERRIDE: parameter not set (LP: #1971951)
  * Fix failures with "set -u"

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 05 Aug 2022 15:19:50 +0200

## debootstrap 1.0.127ubuntu1.3

=== debian/changelog ===
debootstrap (1.0.127ubuntu1.3) kinetic; urgency=medium

  * Restore the old symlinks removed in the previous SRU.  While not 
    needed by debootstrap itself, other tools may call debootstrap with 
    the optional 'script' argument (which was always unnecessary when 
    its value was the same as the 'suite' argument), and this change 
    broke compatibility with them.  LP: #2024483.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 23 Jun 2023 23:56:20 -0700

debootstrap (1.0.127ubuntu1.2) kinetic; urgency=medium

  * Update debootstrap to automatically use the gutsy script by default
    if the target is an Ubuntu release known to distro-info, eliminating
    the need to upload debootstrap for each new Ubuntu release.
  * Add dependency on distro-info, which is part of ubuntu-minimal, for the
    above
  * Remove all the old symlinks that are no longer needed.
  * LP: #2020530.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 26 May 2023 22:17:22 +0000

debootstrap (1.0.127ubuntu1.1) kinetic; urgency=medium

  * Add (Ubuntu) lunar as a symlink to gutsy (LP: #1995612).

 -- Nick Rosbrook <nick.rosbrook@canonical.com>  Thu, 03 Nov 2022 10:05:03 -0400

## debootstrap 1.0.127+nmu1~bpo11+1

=== debian/changelog ===
debootstrap (1.0.127+nmu1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Luca Boccassi <bluca@debian.org>  Fri, 30 Sep 2022 18:23:09 +0100

debootstrap (1.0.127+nmu1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Ansgar ]
  * debootstrap: optionally exclude specific dependencies
  * debian-common: exclude usrmerge when installing usr-is-merged

  [ Samuel Thibault ]
  * Enable usrmerge on hurd-i386 too.

 -- Luca Boccassi <bluca@debian.org>  Sat, 24 Sep 2022 14:07:46 +0100

## debootstrap 1.0.128+nmu2~bpo11+1

=== debian/changelog ===
debootstrap (1.0.128+nmu2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Luca Boccassi <bluca@debian.org>  Thu, 17 Nov 2022 10:35:57 +0000

debootstrap (1.0.128+nmu2) unstable; urgency=low

  * Non-maintainer upload.

  [ Matthias Klumpp ]
  * Update PureOS bootstrap script

  [ Luca Boccassi ]
  * autopkgtest: fix running on !amd64
  * autopkgtest: run on 'testing' instead of 'bookworm'

 -- Luca Boccassi <bluca@debian.org>  Tue, 18 Oct 2022 23:49:31 +0100

debootstrap (1.0.128+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * autopkgtest: add /usr/sbin to PATH

 -- Luca Boccassi <bluca@debian.org>  Mon, 17 Oct 2022 10:45:01 +0100

debootstrap (1.0.128) unstable; urgency=low

  [ Samuel Thibault ]
  * Make gbp tag produce the right tag format

  [ Carsten Schoenert ]
  * Add (PureOS) byzantium as a symlink to amber
  * Add (PureOS) crimson as a symlink to amber

  [ Daniel Watkins ]
  * Support Packages files which are not ordered alphabetically by Package field
    (LP: #1990856)

  [ Dimitri John Ledkov ]
  * d/tests/unsorted-packages-files: cleanup temp files and daemon

  [ Tianon Gravi ]
  * Apply "EXCLUDE_DEPENDENCY" during "resolve_deps"

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Fri, 14 Oct 2022 12:31:04 +0100

## debootstrap 1.0.128+nmu2ubuntu1

=== debian/changelog ===
debootstrap (1.0.128+nmu2ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Symlink lunar -> gutsy. Welcome to the Lunar Lobster!
    - Fix EXTRACTOR_OVERRIDE: parameter not set (LP: #1971951)
    - Fix failures with "set -u"

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 07 Dec 2022 10:09:03 +0100

debootstrap (1.0.127ubuntu2) lunar; urgency=medium

  * Symlink lunar -> gutsy. Welcome to the Lunar Lobster!

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 28 Oct 2022 13:27:45 -0500

=== debian/control ===
--- 
+++ 
@@ -5,17 +5,16 @@
 XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Colin Watson <cjwatson@debian.org>, Steve McIntyre <93sam@debian.org>,
            Hideki Yamane <henrich@debian.org>,
-Build-Depends: debhelper-compat (= 12)
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.6.0.1
 Vcs-Browser: https://salsa.debian.org/installer-team/debootstrap
 Vcs-Git: https://salsa.debian.org/installer-team/debootstrap.git
 
 Package: debootstrap
 Architecture: all
-Depends: ${misc:Depends}, wget, distro-info
+Depends: ${misc:Depends}, wget
 Recommends: gnupg, ${debootstrap:Recommends}
 Suggests: squid-deb-proxy-client, ${debootstrap:Suggests}
-Breaks: ubuntu-dev-tools (<< 0.190~)
 Description: Bootstrap a basic Debian system
  debootstrap is used to create a Debian base system from scratch,
  without requiring the availability of dpkg or apt. It does this by

## debootstrap 1.0.128+nmu2ubuntu1.2

=== debian/changelog ===
debootstrap (1.0.128+nmu2ubuntu1.2) lunar; urgency=medium

  * Restore the old symlinks removed in the previous SRU.  While not
    needed by debootstrap itself, other tools may call debootstrap with
    the optional 'script' argument (which was always unnecessary when
    its value was the same as the 'suite' argument), and this change
    broke compatibility with them.  LP: #2024483.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 24 Jun 2023 00:07:30 -0700

debootstrap (1.0.128+nmu2ubuntu1.1) lunar; urgency=medium

  * Update debootstrap to automatically use the gutsy script by default
    if the target is an Ubuntu release known to distro-info, eliminating
    the need to upload debootstrap for each new Ubuntu release.
  * Add dependency on distro-info, which is part of ubuntu-minimal, for the
    above
  * Remove all the old symlinks that are no longer needed.
  * LP: #2020530.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 26 May 2023 22:14:38 +0000

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 Package: debootstrap
 Architecture: all
-Depends: ${misc:Depends}, wget
+Depends: ${misc:Depends}, wget, distro-info
 Recommends: gnupg, ${debootstrap:Recommends}
 Suggests: squid-deb-proxy-client, ${debootstrap:Suggests}
 Description: Bootstrap a basic Debian system

## debootstrap 1.0.128+nmu2+deb12u1~bpo11+1

=== debian/changelog ===
debootstrap (1.0.128+nmu2+deb12u1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Luca Boccassi <bluca@debian.org>  Wed, 20 Dec 2023 20:25:30 +0100

debootstrap (1.0.128+nmu2+deb12u1) bookworm; urgency=medium

  * Non-maintainer upload targeting Debian 12.2, with maintainer approval
    from Luca Boccassi.
  * Backport merged-/usr support changes from trixie:
    - Implement merged-/usr by post-merging.
      This changes the bootstrap order so that it will be possible for a
      future version of base-files in trixie/sid to take responsibility for
      creating the /bin, /sbin, /lib* symlinks, and is a prerequisite for
      lifting the moratorium imposed by #1035831.
      (Closes: #1049898; implementation by Helmut Grohne)
    - functions: Reinstate setup_merged_usr() as it existed before
      fixing #1049898, for backwards-compatibility with older versions of
      mmdebstrap.
    - functions: Default to merged-/usr for suites newer than bookworm,
      even for the buildd profile. This allows packages targeting trixie
      to assume that merged-/usr is the only layout possible, and is a
      prerequisite for lifting the moratorium imposed by #1035831.
    - Mention --merged-usr in --help output. (Closes: #1031828)
  * Backport autopkgtest regression fixes from trixie:
    - Revert fake/schroot-1.6.10-3 to an accurate emulation of the
      behaviour of schroot 1.6.10-3 (Closes: #983311)
    - Document schroot 1.6.10-3 with the default profile as expected to
      fail to use /dev/pts in a lxc >= 3 or Docker container; this is a
      schroot bug (#983423) and not a debootstrap bug
    - With these changes, the autopkgtest is confirmed to pass in
      autopkgtest-virt-qemu (Closes: #983197)

 -- Simon McVittie <smcv@debian.org>  Wed, 30 Aug 2023 15:21:17 +0100

## debootstrap 1.0.128+nmu2+deb12u1A~5.2.0.202402071300

=== debian/changelog ===
debootstrap (1.0.128+nmu2+deb12u1A~5.2.0.202402071300) ucs5-2-0-0; urgency=low

  * UCS auto build. The following patches have been applied to the original source package
    0001-univention-archive-key.patch
    0002-Bug-51272-Rework-SCRIPT-detection.patch
    0003-disable-usr-is-merged.patch

 -- Univention builddaemon <buildd@univention.de>  Wed, 07 Feb 2024 13:01:41 +0100

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,9 @@
 #! /usr/bin/make -f
 
-ifeq (0,$(shell dpkg-vendor --derives-from Ubuntu; echo $$?))
+ifeq (0,$(shell dpkg-vendor --derives-from Univention; echo $$?))
+  RECOMMENDS := univention-archive-key
+  SUGGESTS := univention-archive-key
+else ifeq (0,$(shell dpkg-vendor --derives-from Ubuntu; echo $$?))
   RECOMMENDS := ubuntu-keyring
   SUGGESTS   := debian-archive-keyring, arch-test (>= 0.11~),
 else ifeq (0,$(shell dpkg-vendor --derives-from Tanglu; echo $$?))

## debootstrap 1.0.128+nmu2+deb12u2

=== debian/changelog ===
debootstrap (1.0.128+nmu2+deb12u2) bookworm; urgency=medium

  * Do not pull in usr-is-merged in trixie/sid (Closes: #1091649)

 -- Luca Boccassi <bluca@debian.org>  Sun, 29 Dec 2024 19:02:52 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: debootstrap
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Colin Watson <cjwatson@debian.org>, Steve McIntyre <93sam@debian.org>,
            Hideki Yamane <henrich@debian.org>,
 Build-Depends: debhelper-compat (= 13)
@@ -12,7 +11,7 @@
 
 Package: debootstrap
 Architecture: all
-Depends: ${misc:Depends}, wget, distro-info
+Depends: ${misc:Depends}, wget
 Recommends: gnupg, ${debootstrap:Recommends}
 Suggests: squid-deb-proxy-client, ${debootstrap:Suggests}
 Description: Bootstrap a basic Debian system

=== debian/tests/control ===
--- 
+++ 
@@ -9,3 +9,11 @@
  systemd-container [linux-any],
  ca-certificates,
 Restrictions: allow-stderr, needs-root
+
+Tests: unsorted-packages-files
+Depends:
+ debootstrap,
+ python3-debian,
+ python3-flask,
+ python3-requests,
+Restrictions: allow-stderr

## debootstrap 1.0.128+nmu2+deb12u2A~5.2.1.202503061332

=== debian/changelog ===
debootstrap (1.0.128+nmu2+deb12u2A~5.2.1.202503061332) ucs5-2-0-0; urgency=low

  * UCS auto build. The following patches have been applied to the original source package
    0001-univention-archive-key.patch
    0002-Bug-51272-Rework-SCRIPT-detection.patch
    0003-disable-usr-is-merged.patch

 -- Univention builddaemon <buildd@univention.de>  Thu, 06 Mar 2025 16:56:52 -0000
